/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Surface Scan Acquisition Types
 */
public enum EnumCV_SurfaceScanAcquisitionTypes 
{
	// Surface Scan Acquisition Types - CID  8201
	TIME_OF_FLIGHT_114201("114201"),
	INTERFEROMETRY_114202("114202"),
	LASER_SCANNING_114203("114203"),
	PATTERN_PROJECTION_114204("114204"),
	SHAPE_FROM_SHADING_114205("114205"),
	SHAPE_FROM_MOTION_114206("114206"),
	CONFOCAL_IMAGING_114207("114207"),
	POINT_CLOUD_ALGORITHMIC_114208("114208");	

	private String value;
	
	EnumCV_SurfaceScanAcquisitionTypes(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
